﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Runtime.Serialization;
using HeuristicLab.Common;
using HeuristicLab.DataAccess;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Hive.Contracts.BusinessObjects {
  [StorableClass]
  [DataContract]
  [Serializable]
  public class SlaveConfigDto : PersistableObject {
    [Storable]
    [DataMember]
    public String UpDownTimeCalendar { get; set; }
    [Storable]
    [DataMember]
    public int? HeartBeatIntervall { get; set; }

    public SlaveConfigDto() { }
    [StorableConstructor]
    protected SlaveConfigDto(bool deserializing) : base(deserializing) { }
    protected SlaveConfigDto(SlaveConfigDto original, Cloner cloner)
      : base(original, cloner) {
      this.UpDownTimeCalendar = original.UpDownTimeCalendar;
      this.HeartBeatIntervall = original.HeartBeatIntervall;
    }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new SlaveConfigDto(this, cloner);
    }
  }
}
